com.tibbo.aggregate.common.context.loader

## Class PropertyVisibleInfoValidator

- java.lang.Object
- - com.tibbo.aggregate.common.context.loader.PropertyVisibleInfoValidator

- All Implemented Interfaces:
    ContextValidator

      public class PropertyVisibleInfoValidator
      extends java.lang.Object
      implements ContextValidator

  A Validator which checks is the context matched to the all the filters provided
  Since:
    01.04.2023
  See Also:
    AGG-14058

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyVisibleInfoValidator(ContextManager contextManager, CallerController callerController, java.util.Map<java.lang.String,java.util.List<java.lang.String>> propertyFilters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validate(java.lang.String contextPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEPARATOR

          public static final java.lang.String SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PropertyVisibleInfoValidator

          public PropertyVisibleInfoValidator(@Nonnull
                                              ContextManager contextManager,
                                              @Nonnull
                                              CallerController callerController,
                                              @Nonnull
                                              java.util.Map<java.lang.String,java.util.List<java.lang.String>> propertyFilters)

  - ### Method Detail

    - #### validate

          public boolean validate(java.lang.String contextPath)

      Specified by:
        `validate` in interface `ContextValidator`